function [Problem]=InitPatternSearch(Problem)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Subrotine InitPatternSearch
%
%  This subroutine initializes the search directions for the poll step
%
%  User provided directions can be included in the
%       Problem.Poll.SearchDirections.UserSpecified matrix
%  The user provided search directions will be included prior to any other
%  directions.
%
%  Provides the coordinate directions
%
%  Input:
%    Problem - The problem structure
%
%  Output:
%    Problem - The problem structure updated
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% aivaz@dps.uminho.pt 01/12/2006

% Coordinate Search for Variables
% May not be used, but it is never changed in the algorithm
Problem.Poll.SearchDirections.Base=[eye(Problem.Variables) ...
                                   -eye(Problem.Variables)];
                               
% Linear search directions
% Is computed during the algorithm. It's pointless to provide one.
Problem.Poll.SearchDirections.Linear=[];

% A set of directions specified by user
% The computed search directions are appended to this one. If you know a
% better directions order then you should provide it here.
Problem.Poll.SearchDirections.UserSpecified =[];

return;
