function Z = NullSpace(X)

if nargout~=1 || nargin~=1
    error('NullSpace called with a wrong number of arguments');
end

[n, m]=size(X);

if m~=1
    warning('This routine is only prepared to compute the null space of a vector');
    Z=[];
    return;
end

% Select B as the one with maximal norm (guarantee to be nonzero)
[b, ind]=max(abs(X));

if b==0
    error('Null vector in constraints!!!');
end

b=X(ind); % recover right value for b

% Copy X to N and
N=X;
% Delete selected element
N(ind)=[];

I=eye(n-1);

Z(1:ind-1,1:n-1)=I(1:ind-1,:);
Z(ind,1:n-1)=-N'./b;
Z(ind+1:n,1:n-1)=I(ind:n-1,:);

end

